Subject: skey problem

From: "Sébastien Cottalorda" <[email-masked]>
Date: Mon, 17 Jul 2000 09:07:47 +0100

Hi all,

I'm trying to setup a TIS Firewall using S/Key but I've problem make it runs (S/Key, not TIS FWTK).

Here is my problem :
I have a P100 with Ram:16Mo and RedHat6.0 (kernel 2.2.5-22)
I've installed Skeys packages :
    - pam_skey-1.2-1.i386.rpm
    - skey-2.2-1.i386.rpm
with no problem.

Then, I've modified my /etc/pam.d/login file to make skey runs when I try to login as this :
    auth    sufficient    /lib/security/pam_skey.so  --> (The only mofification I've made)
    auth    required    /lib/security/pam_securetty.so
    auth    required    /lib/security/pam_pwdb.so shadow nullok
    ... (exactly like the original one)

Finally I've reboot my Firewall and here is the /var/log/message I get.

Note : Skey did not run during login process, only the Linux authentication.

/var/log/messages:
    login: PAM unable to dlopen(/lib/security/pam_skey.so)
    login: PAM [dlerror: /lib/security/pam_skey.so: undefines symbol: _xstat]
    login: PAM adding faulty module: /lib/security/pam_skey.so

If anybody as a clue or tell me where can I find the solution, I would appreciate.

Thanks in advance.

Sébastien